/* sections.vala - LGPL - Copyright 2010 nibble <develsec.org>
 * LaCon'10 */

using Radare;

public void main (string[] args) { 
	if (args.length != 2)
		error ("Usage: %s <file>\n", args[0]);

	var bin = new RBin ();
	if (bin.load (args[1], false) != 1)
		error ("Cannot open binary file\n");

	var baddr = bin.get_baddr();
	foreach (var scn in bin.get_sections ())
		print ("0x%08"+uint64.FORMAT_MODIFIER+"x - %05i %s\n",
			baddr+scn.rva, scn.size, scn.name);
}
